// Top-level build file where you can add configuration options common to all sub-projects/modules.
//useOldManifestMerger true
apply plugin:"org.sonarqube"
buildscript {
    repositories {
        maven {
            url "https://plugins.gradle.org/m2/"
        }
        google()
        jcenter()


    }

    dependencies{
        classpath 'com.android.tools.build:gradle:7.0.2'
        classpath "org.sonarsource.scanner.gradle:sonarqube-gradle-plugin:2.7"
    }




    //ext.kotlin_version = '1.5.30'
    //ext {
    //    agp_version = '7.0.2'
    //}
    //repositories {
    //    google()
    //    jcenter()
    //}
    //dependencies {
    //    classpath 'com.android.tools.build:gradle:7.0.2'
    //    classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    //    classpath 'org.sonarsource.scanner.gradle:sonarqube-gradle-plugin:2.7'
    //}
}
apply plugin:"org.sonarqube"

allprojects {
    repositories {
        google()
        jcenter()
    }
}
sonarqube{
    properties{
        property "sonar.sourceEncoding","GBK"
        property "sonar.projectKey","projectkey"
        property "sonar.projectName", project.name
        property "sonar.sources","src/main/java"
        property "sonar.projectVersion", project.version
        property "sonar.binaries","build/intermediates/classes"
    }
}